Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlJQuery

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.UIJQuery
                  org.richfaces.component.html.HtmlJQuery

All Implemented Interfaces:
  javax.faces.component.StateHolder

    public class HtmlJQuery

extends UIJQuery

Component-Type org.richfaces.JQuery Component-Family org.richfaces.JQuery Renderer-Type org.richfaces.JQueryRenderer It presents the google map in JSF applications

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Constructor Summary
`HtmlJQuery()` Constructor to init default renderers

Method Summary
`java.lang.String` | `getFamily()`
`java.lang.String` | `getName()` The name of the function that will be generated to execute the query.
`java.lang.String` | `getQuery()` The query string that will be executed for given selector.
`java.lang.String` | `getSelector()` Selector for query.
`java.lang.String` | `getTiming()` When to peform the query.
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setName(java.lang.String __name)` The name of the function that will be generated to execute the query.
`void` | `setQuery(java.lang.String __query)` The query string that will be executed for given selector.
`void` | `setSelector(java.lang.String __selector)` Selector for query.
`void` | `setTiming(java.lang.String __timing)` When to peform the query.

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlJQuery

    public HtmlJQuery()

  Constructor to init default renderers

Method Detail

### setTiming

    public void setTiming(java.lang.String __timing)

  When to peform the query. Two possible values are "immediate","onload" and "onJScall". "immediate" performs the query right away. "onload" adds the task to the time when document is loaded (the DOM tree is created). "onJScall" allows to invoke the query by Javascipt function name defined with "name" attribute. The default value is "immediate". Setter for timing

  Parameters:
    `timing` - - new value

### getTiming

    public java.lang.String getTiming()

  When to peform the query. Two possible values are "immediate","onload" and "onJScall". "immediate" performs the query right away. "onload" adds the task to the time when document is loaded (the DOM tree is created). "onJScall" allows to invoke the query by Javascipt function name defined with "name" attribute. The default value is "immediate". Getter for timing

  Returns:
    timing value from local variable or value bindings

### setQuery

    public void setQuery(java.lang.String __query)

  The query string that will be executed for given selector. Setter for query

  Parameters:
    `query` - - new value

### getQuery

    public java.lang.String getQuery()

  The query string that will be executed for given selector. Getter for query

  Returns:
    query value from local variable or value bindings

### setSelector

    public void setSelector(java.lang.String __selector)

  Selector for query. The component id as well as any html element id might be used inside. Setter for selector

  Parameters:
    `selector` - - new value

### getSelector

    public java.lang.String getSelector()

  Selector for query. The component id as well as any html element id might be used inside. Getter for selector

  Returns:
    selector value from local variable or value bindings

### setName

    public void setName(java.lang.String __name)

  The name of the function that will be generated to execute the query. If name is not defined explicitly it will be pre-generated from the id of the component where colon is replaced with underscore and "jq_" prefix is added. The name attribute is required if timing attribute equals to "onJScall" Setter for name

  Parameters:
    `name` - - new value

### getName

    public java.lang.String getName()

  The name of the function that will be generated to execute the query. If name is not defined explicitly it will be pre-generated from the id of the component where colon is replaced with underscore and "jq_" prefix is added. The name attribute is required if timing attribute equals to "onJScall" Getter for name

  Returns:
    name value from local variable or value bindings

### getFamily

    public java.lang.String getFamily()

  Specified by:
    `getFamily` in class `javax.faces.component.UIComponent`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UIComponentBase`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UIComponentBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.